Skip to main content
PATCH
/
api
/
v1
/
evaluation-stages
/
{id}
Update evaluation stage
curl --request PATCH \
  --url https://www.intervyo.ai/api/v1/evaluation-stages/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "stage_name": "<string>",
  "stage_type": "<string>",
  "duration_minutes": 123,
  "agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "stage_order": 123,
  "difficulty": "<string>",
  "pass_threshold": 123,
  "automation_rule": "<string>"
}
'
{
  "error": "<string>",
  "issues": [
    {}
  ]
}

Authorizations

x-api-key
string
header
required

API key with the iv_live_ prefix. Create one under Developer → API Keys.

Path Parameters

id
string<uuid>
required

id identifier

Body

application/json
stage_name
string

Display name

stage_type
string

Interview format

duration_minutes
integer

Session length

agent_profile_id
string<uuid>

AI persona

stage_order
integer

Position in pipeline

difficulty
string

Question depth

pass_threshold
number

Min score to pass

automation_rule
string

Post-completion automation

status
enum<string>

Stage status

Available options:
draft,
active,
archived

Response

Success

Last modified on June 3, 2026